Bug 61095 - XFree86 w/ AGP radeon can hang system on ES45
XFree86 w/ AGP radeon can hang system on ES45
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-13 10:37 EST by Jeff Wiedemeier
Modified: 2014-03-16 22:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-15 18:19:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
acquire page_table_lock around page remap (2.97 KB, patch)
2002-03-15 16:31 EST, Jeff Wiedemeier
no flags Details | Diff

  None (edit)
Description Jeff Wiedemeier 2002-03-13 10:37:32 EST
Description of Problem:

Using XFree86 with 'modprobe agpgart' patch, starting XFree86 on an AGP
AlphaServer ES45 can hang the system. 

Version-Release number of selected component (if applicable):


How Reproducible:

sometimes

Steps to Reproduce:
1. start x
2. if it works, reboot and start x again
3. 

Actual Results:

some of the time the system hangs, other times X starts with DRI correctly

Expected Results:

X start with DRI always

Additional Information:

Haven't been able to reproduce the problem with this line in /etc/modules.conf:

pre-install radeon (/sbin/modprobe agpgart; /bin/true)

which is the way that I was loading the agpgart driver without the 'modprobe
agpgart' patch
Comment 1 Phil Copeland 2002-03-13 15:27:46 EST
I'm guessing here ...

Kudzu needs to detect 1) AGP exists, 2) a radion card exists
shovel in the above line

Phil
=--=
Comment 2 Bill Nottingham 2002-03-13 16:40:17 EST
That's just a hack. The normal way X works (i.e., to load the agpgart module)
should 'just work'; it indicates a bug somewhere in the kernel drivers.
Comment 3 Jeff Wiedemeier 2002-03-15 16:11:12 EST
my bad.

I found the problem (pmd/pte_alloc without page_table_lock held).
I will attach a kernel patch this afternoon.
Comment 4 Jeff Wiedemeier 2002-03-15 16:31:30 EST
Created attachment 48705 [details]
acquire page_table_lock around page remap
Comment 5 Phil Copeland 2002-03-15 17:28:56 EST
Humm,...
partially successful.
core_titan.c no longer has titan_remap_area_pte()
nor titan_remap_area_pmd()

Wanna give that another shot?

I've made the current srpm available on alpha7.crl.dec.com:~bryce (look for
patch126 in the spec file)
(kernel-2.4.9-32.1.src.rpm)

ie
rpm -ivh kernel-2.4.9-32.1.src.rpm
cd /usr/src/redhat/SPECS
rpm -bp kernel-2.4.spec
cd /usr/src/redhat/BUILD/kernel-2.4/linux

That at least will give you a 'native' src tree to work against.

Phil
=--=
Comment 6 Jeff Wiedemeier 2002-03-15 18:19:40 EST
the _remap functions are added to core_titan in the main titan patch (133), so 
this one needs to be applied after that.
Comment 7 Beth Uptagrafft 2002-04-03 17:28:24 EST
This will be fixed in the next release.

Note You need to log in before you can comment on or make changes to this bug.